Subject: Re: bug#59794: 29.0.60; NSport segfaults when a fullscreen frame is being closed

From: Gerd Möllmann <[email-masked]>
Date: Sat, 3 Dec 2022 14:53:53 +0100

On 03.12.22 14:03, Kai Ma wrote:
> 
> 
>> On Dec 3, 2022, at 19:44, Gerd Möllmann <[email-masked]> wrote:
>>
>> FWIW, no crash here with dd7a7633bebc4db5caca3898bf318721f1f370c8 (master), macOS 13.0.1, ASAN enabled.
> 
> Weird.  I tested this commit with the default configure options and it segfaulted.  How to enable ASAN?

I forgot to mentions that I have an M1 here, maybe it's that.

For simplicity, I attach a crude shell script that I use for building 
Emacs.  Please search for "sanitize" in the script.  You'll have to add 
something to CFLAGS and LDFLAGS.  I'm using Xcode 14.1 for building.